Loading...
Searching...
No Matches
fastjet::SISConeBasePlugin Class Referenceabstract

More...

`#include <fastjet/SISConeBasePlugin.hh>`

Inheritance diagram for fastjet::SISConeBasePlugin:
[legend]
Collaboration diagram for fastjet::SISConeBasePlugin:
[legend]

## Classes

class | UserScaleBase
| base class for user-defined ordering of stable cones (used for prorgessive removal) More...
class | UserScaleBaseStructureType
| template class derived from UserScaleBase::StryctureType that works for both SISCone jet classes implemented below More...

## Public Member Functions

| SISConeBasePlugin ()
| default ctor
| SISConeBasePlugin (const SISConeBasePlugin &plugin)
| copy constructor
void | set_progressive_removal (bool progressive_removal_in=true)
| set whether to use SISCone with progressive removal instead of the default split_merge step.
bool | progressive_removal () const
| returns true if progressive_removal is enabled
double | cone_radius () const
| the cone radius
double | overlap_threshold () const
| Fraction of overlap energy in a jet above which jets are merged and below which jets are split.
int | n_pass_max () const
| the maximum number of passes of stable-cone searching (<=0 is same as infinity).
void | set_split_merge_stopping_scale (double scale)
| set the "split_merge_stopping_scale": if the scale variable for all protojets is below this, then stop the split-merge procedure and keep only those jets found so far.
double | split_merge_stopping_scale ()
| return the value of the split_merge_stopping_scale (see set_split_merge_stopping_scale(...) for description)
void | set_use_jet_def_recombiner (bool choice)
| allow the user to decide if one uses the jet_def's own recombination scheme
bool | use_jet_def_recombiner () const
| indicate if the jet_def's recombination scheme is being used
bool | caching () const
| indicates whether caching is turned on or not.
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
virtual bool | supports_ghosted_passive_areas () const
| return true since there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations just in the next run (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
void | set_user_scale (const UserScaleBase *user_scale_in)
| set a user-defined scale for stable-cone ordering in progressive removal
const UserScaleBase * | user_scale () const
| returns the user-defined scale in use (0 if none)
virtual std::string | description () const =0
| plugin description
virtual void | run_clustering (ClusterSequence &) const =0
| really do the clustering work
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Protected Member Functions

virtual void | reset_stored_plugin () const =0
| call the re-clustering itself

## Protected Attributes

double | _cone_radius
double | _overlap_threshold
int | _n_pass_max
bool | _caching
double | _split_merge_stopping_scale
bool | _use_jet_def_recombiner
bool | _progressive_removal
double | _ghost_sep_scale
const UserScaleBase * | _user_scale

## Detailed Description

Definition at line 40 of file SISConeBasePlugin.hh.

## Constructor & Destructor Documentation

## SISConeBasePlugin() [1/2]

fastjet::SISConeBasePlugin::SISConeBasePlugin | ( |  | ) |

inline

default ctor

Definition at line 43 of file SISConeBasePlugin.hh.

## SISConeBasePlugin() [2/2]

fastjet::SISConeBasePlugin::SISConeBasePlugin | ( | const SISConeBasePlugin & | plugin | ) |

inline

copy constructor

Definition at line 49 of file SISConeBasePlugin.hh.

## Member Function Documentation

## set_progressive_removal()

void fastjet::SISConeBasePlugin::set_progressive_removal | ( | bool | progressive_removal_in = true | ) |

inline

set whether to use SISCone with progressive removal instead of the default split_merge step.

If progressive removal is enabled, the following SISCone variables are not used:

- overlap_threshold
- caching
- split_merge_stopping_scale

The split_merge_scale choice is reinterpreted as the ordering variable for progressive removal. It is also possible for the user to supply his/her own function for the scale that orders progressive removal, with set_user_scale(...)

Definition at line 67 of file SISConeBasePlugin.hh.

## progressive_removal()

bool fastjet::SISConeBasePlugin::progressive_removal | ( |  | ) | const

inline

returns true if progressive_removal is enabled

Definition at line 72 of file SISConeBasePlugin.hh.

## cone_radius()

double fastjet::SISConeBasePlugin::cone_radius | ( |  | ) | const

inline

the cone radius

Definition at line 75 of file SISConeBasePlugin.hh.

## overlap_threshold()

double fastjet::SISConeBasePlugin::overlap_threshold | ( |  | ) | const

inline

Fraction of overlap energy in a jet above which jets are merged and below which jets are split.

Definition at line 79 of file SISConeBasePlugin.hh.

## n_pass_max()

int fastjet::SISConeBasePlugin::n_pass_max | ( |  | ) | const

inline

the maximum number of passes of stable-cone searching (<=0 is same as infinity).

Definition at line 83 of file SISConeBasePlugin.hh.

## set_split_merge_stopping_scale()

void fastjet::SISConeBasePlugin::set_split_merge_stopping_scale | ( | double | scale | ) |

inline

set the "split_merge_stopping_scale": if the scale variable for all protojets is below this, then stop the split-merge procedure and keep only those jets found so far.

This is useful in determination of areas of hard jets because it can be used to avoid running the split-merging on the pure ghost-part of the event.

Definition at line 91 of file SISConeBasePlugin.hh.

## split_merge_stopping_scale()

double fastjet::SISConeBasePlugin::split_merge_stopping_scale | ( |  | ) |

inline

return the value of the split_merge_stopping_scale (see set_split_merge_stopping_scale(...) for description)

Definition at line 96 of file SISConeBasePlugin.hh.

## set_use_jet_def_recombiner()

void fastjet::SISConeBasePlugin::set_use_jet_def_recombiner | ( | bool | choice | ) |

inline

allow the user to decide if one uses the jet_def's own recombination scheme

Definition at line 99 of file SISConeBasePlugin.hh.

## use_jet_def_recombiner()

bool fastjet::SISConeBasePlugin::use_jet_def_recombiner | ( |  | ) | const

inline

indicate if the jet_def's recombination scheme is being used

Definition at line 102 of file SISConeBasePlugin.hh.

## caching()

bool fastjet::SISConeBasePlugin::caching | ( |  | ) | const

inline

indicates whether caching is turned on or not.

Definition at line 105 of file SISConeBasePlugin.hh.

## R()

virtual double fastjet::SISConeBasePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 108 of file SISConeBasePlugin.hh.

## supports_ghosted_passive_areas()

virtual bool fastjet::SISConeBasePlugin::supports_ghosted_passive_areas | ( |  | ) | const

inline virtual

return true since there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.

Reimplemented from fastjet::JetDefinition::Plugin.

Reimplemented in fastjet::SISConeSphericalPlugin.

Definition at line 114 of file SISConeBasePlugin.hh.

## set_ghost_separation_scale()

virtual void fastjet::SISConeBasePlugin::set_ghost_separation_scale | ( | double | scale | ) | const

inline virtual

set the ghost separation scale for passive area determinations just in the next run (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)

Reimplemented from fastjet::JetDefinition::Plugin.

Definition at line 121 of file SISConeBasePlugin.hh.

## ghost_separation_scale()

virtual double fastjet::SISConeBasePlugin::ghost_separation_scale | ( |  | ) | const

inline virtual

Reimplemented from fastjet::JetDefinition::Plugin.

Definition at line 125 of file SISConeBasePlugin.hh.

## set_user_scale()

void fastjet::SISConeBasePlugin::set_user_scale | ( | const UserScaleBase * | user_scale_in | ) |

inline

set a user-defined scale for stable-cone ordering in progressive removal

Definition at line 183 of file SISConeBasePlugin.hh.

## user_scale()

const UserScaleBase * fastjet::SISConeBasePlugin::user_scale | ( |  | ) | const

inline

returns the user-defined scale in use (0 if none)

Definition at line 186 of file SISConeBasePlugin.hh.

## description()

virtual std::string fastjet::SISConeBasePlugin::description | ( |  | ) | const

pure virtual

plugin description

Implements fastjet::JetDefinition::Plugin.

Implemented in fastjet::SISConePlugin, and fastjet::SISConeSphericalPlugin.

## run_clustering()

virtual void fastjet::SISConeBasePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

pure virtual

really do the clustering work

Implements fastjet::JetDefinition::Plugin.

Implemented in fastjet::SISConePlugin, and fastjet::SISConeSphericalPlugin.

## reset_stored_plugin()

virtual void fastjet::SISConeBasePlugin::reset_stored_plugin | ( |  | ) | const

protected pure virtual

call the re-clustering itself

Implemented in fastjet::SISConePlugin, and fastjet::SISConeSphericalPlugin.

## Member Data Documentation

## _cone_radius

double fastjet::SISConeBasePlugin::_cone_radius

protected

Definition at line 199 of file SISConeBasePlugin.hh.

## _overlap_threshold

double fastjet::SISConeBasePlugin::_overlap_threshold

protected

Definition at line 199 of file SISConeBasePlugin.hh.

## _n_pass_max

int fastjet::SISConeBasePlugin::_n_pass_max

protected

Definition at line 200 of file SISConeBasePlugin.hh.

## _caching

bool fastjet::SISConeBasePlugin::_caching

protected

Definition at line 201 of file SISConeBasePlugin.hh.

## _split_merge_stopping_scale

double fastjet::SISConeBasePlugin::_split_merge_stopping_scale

protected

Definition at line 202 of file SISConeBasePlugin.hh.

## _use_jet_def_recombiner

bool fastjet::SISConeBasePlugin::_use_jet_def_recombiner

protected

Definition at line 203 of file SISConeBasePlugin.hh.

## _progressive_removal

bool fastjet::SISConeBasePlugin::_progressive_removal

protected

Definition at line 204 of file SISConeBasePlugin.hh.

## _ghost_sep_scale

double fastjet::SISConeBasePlugin::_ghost_sep_scale

mutable protected

Definition at line 206 of file SISConeBasePlugin.hh.

## _user_scale

const UserScaleBase* fastjet::SISConeBasePlugin::_user_scale

protected

Definition at line 212 of file SISConeBasePlugin.hh.

The documentation for this class was generated from the following file:

- plugins/SISCone/fastjet/SISConeBasePlugin.hh